Subject: bug#16737: Question about wait_reading_process_output

From: Tassilo Horn <[email-masked]>
Date: Mon, 15 Jun 2015 10:23:21 +0200

Stefan Monnier <[email-masked]> writes:

>> I've been digging into the code trying to get an idea of why
>> bug#16737 fires. My question is where in wait_reading_process_output
>> does it ensure the various terminal socket reads are run?

This doesn't really address your question but maybe it gives an
indication.  Since bug#16737 started occurring to be, I compile emacs
with -DTRACE_SELECTION and then collect the output it delivers.  The
below output was gathered when I yanked into emacs where it always took
5 seconds (`x-selection-timeout') until the text I had previously copied
from the browser was inserted.  This seems to be another instance of the
bug because actually the correct text has been inserted; it just took
very long.

Bye,
Tassilo

--8<---------------cut here---------------start------------->8---
6019: Sent SelectionNotify: CLIPBOARD, target TARGETS (7511)
6019: x_stop_queuing_selection_requests 1
6019: x_handle_selection_event
6019: x_handle_selection_event
6019: x_start_queuing_selection_requests 1
6019: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
6019:  XInternAtom LENGTH
6019:  XInternAtom FILE_NAME
6019:  XInternAtom CHARACTER_POSITION
6019:  XInternAtom LINE_NUMBER
6019:  XInternAtom COLUMN_NUMBER
6019:  XInternAtom OWNER_OS
6019:  XInternAtom HOST_NAME
6019:  XInternAtom USER
6019:  XInternAtom CLASS
6019:  XInternAtom NAME
6019:  XInternAtom SAVE_TARGETS
6019: Sending all 84 bytes
6019: Sent SelectionNotify: CLIPBOARD, target TARGETS (7512)
6019: x_stop_queuing_selection_requests 1
6019: x_handle_selection_event
6019: x_handle_selection_event
6019: x_start_queuing_selection_requests 1
6019: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
6019:  XInternAtom LENGTH
6019:  XInternAtom FILE_NAME
6019:  XInternAtom CHARACTER_POSITION
6019:  XInternAtom LINE_NUMBER
6019:  XInternAtom COLUMN_NUMBER
6019:  XInternAtom OWNER_OS
6019:  XInternAtom HOST_NAME
6019:  XInternAtom USER
6019:  XInternAtom CLASS
6019:  XInternAtom NAME
6019:  XInternAtom SAVE_TARGETS
6019: Sending all 84 bytes
6019: Sent SelectionNotify: CLIPBOARD, target TARGETS (7513)
6019: x_stop_queuing_selection_requests 1
6019: x_handle_selection_event
6019: x_start_queuing_selection_requests 1
6019: x_handle_selection_request: selection=CLIPBOARD, target=TARGETS
6019:  XInternAtom LENGTH
6019:  XInternAtom FILE_NAME
6019:  XInternAtom CHARACTER_POSITION
6019:  XInternAtom LINE_NUMBER
6019:  XInternAtom COLUMN_NUMBER
6019:  XInternAtom OWNER_OS
6019:  XInternAtom HOST_NAME
6019:  XInternAtom USER
6019:  XInternAtom CLASS
6019:  XInternAtom NAME
6019:  XInternAtom SAVE_TARGETS
6019: Sending all 84 bytes
6019: Sent SelectionNotify: CLIPBOARD, target TARGETS (7514)
6019: x_stop_queuing_selection_requests 1
6019: x_handle_selection_event
6019: x_handle_selection_clear
6019: x_handle_selection_event
6019: x_handle_selection_clear
6019: Get selection UTF8_STRING, type _EMACS_TMP_
6019:   Start waiting 5 secs for SelectionNotify
6019:   Got event = 0
6019: Get selection UTF8_STRING, type _EMACS_TMP_
6019:   Start waiting 5 secs for SelectionNotify
6019:   Got event = 0
6019: Received SelectionNotify
6019: Get selection STRING, type _EMACS_TMP_
6019:   Start waiting 5 secs for SelectionNotify
6019:   Got event = 0
6019: Received SelectionNotify
--8<---------------cut here---------------end--------------->8---